//---------------------------------------------------------------------------

#include <clx.h>
#include <stdio.h>
#include <time.h>
#ifndef kylix
#include <MMSystem.h>
#endif
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.xfm"
TForm1 *Form1;

time_t Start;
int KeisokuChuu = 0;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
  Enabled = 1; //true;
  Timer1->Enabled = 0; //false;
  Button1->TabOrder = 1;
  ComboBox1->TabOrder = 2;
  LCDNumber1->Color = clBlack;
  LCDNumber1->Digits = 4;
  RadioGroup1->ItemIndex = 0;
}
//---------------------------------------------------------------------------



void __fastcall TForm1::Button1Click(TObject *Sender)
{
  if(KeisokuChuu == 0){
    Start = time(0);
    Color = clBlue;
    LCDNumber1->Color = clGreen;
    Button1->Caption = "STOP";
    Timer1->Enabled = 1; //true;
    ComboBox1->Enabled = 0; //false;
    KeisokuChuu = 1;
  }
  else{
    Timer1->Enabled = 0; //false;
    Color = clBackground;
    LCDNumber1->Color = clBlack;
    ComboBox1->Enabled = 1; //true;
    Button1->Caption = "START";
    KeisokuChuu = 0;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
  time_t end;
  time_t sa;
  time_t nokori;
  int byou;
  Timer1->Enabled = 0; //false;
  end = time(0);
  byou = (ComboBox1->ItemIndex + 1) * 60;
  sa = end - Start;
  if(sa >= byou){
    Color = clRed;
    LCDNumber1->Color = clTeal;
    LCDNumber1->Value = "0:00";
    //printf("%c%c%c%c%c",7,7,7,7,7);
    Application->ProcessMessages();

    if(RadioGroup1->ItemIndex == 1){
      Sysutils::Beep();
      Sleep(500);
      Sysutils::Beep();
      Sleep(500);
      Sysutils::Beep();
      Sleep(500);
      Sysutils::Beep();
      Sleep(500);
      Sysutils::Beep();
    }
    else
    if(RadioGroup1->ItemIndex == 0){
      AnsiString wavpath;
      char xmmss[3000];
      wavpath = ExtractFilePath(Application->ExeName);
      if(
#ifndef kylix
        wavpath[wavpath.Length()] != '\\' &&
#endif
        wavpath[wavpath.Length()] != '/'){
#ifdef kylix
        wavpath = wavpath + "/";
#else
        wavpath = wavpath + "\\";
#endif
      }
      wavpath = wavpath + "mezamasi.wav";
#ifndef kylix
      sndPlaySound(wavpath.c_str(),SND_ASYNC);
#else
        strcpy(xmmss,"aplay ");
        strcat(xmmss,wavpath.c_str());
        strcat(xmmss," &");
        system(xmmss);
#endif
    }
    Button1->Caption = "START";
    ComboBox1->Enabled = 1; //true;
    KeisokuChuu = 0;
  }
  else{
    char values[30];
    time_t hun;
    nokori = byou - sa;
    hun = nokori / 60;
    sprintf(values,"%d:%02d",(int)hun,(int)(nokori - (hun * 60)));
    LCDNumber1->Value = values;
    Timer1->Enabled = 1; //true;
  }


}
//---------------------------------------------------------------------------
void __fastcall TForm1::ComboBox1Change(TObject *Sender)
{
  int byou,hun;
  char values[30];
  if(KeisokuChuu == 0){
    Color = clBackground;
    LCDNumber1->Color = clBlack;
    byou = (ComboBox1->ItemIndex + 1) * 60;
    hun = byou / 60;
    sprintf(values,"%d:%02d",(int)hun,(int)(byou - (hun * 60)));
    if(hun >= 10){
      LCDNumber1->Digits = 5;
    }
    else{
      LCDNumber1->Digits = 4;
    }
    LCDNumber1->Value = values;
  }
}
//---------------------------------------------------------------------------

